# osgUtx::TestRecord Class Reference

A TestRecord records the output of a given test case, i.e. More...

List of all members.

## Public Member Functions

void | start ()
void | stop ()
void | log (const TestFailureX &e)
void | log (const TestErrorX &e)
void | log (const std::exception &e)
void | log (const std::string &s)

## Friends

class | TestReport
std::ostream & | operator<< (std::ostream &o, const TestRecord &tr)

## Detailed Description

A TestRecord records the output of a given test case, i.e.

its start/stop time, its result, and a textual description of any problems.

Todo:
  Consider adding accessor methods if necessary, to get the details stored in the TestRecord.

## Member Function Documentation

void osgUtx::TestRecord::log | ( | const std::string & | s | ) |

void osgUtx::TestRecord::log | ( | const std::exception & | e | ) |

void osgUtx::TestRecord::log | ( | const TestErrorX & | e | ) |

void osgUtx::TestRecord::log | ( | const TestFailureX & | e | ) |

void osgUtx::TestRecord::start | ( |  | ) |

void osgUtx::TestRecord::stop | ( |  | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | const TestRecord & | tr
| ) | `[friend]`

friend class TestReport `[friend]`

The documentation for this class was generated from the following files:

- UnitTestFramework
- UnitTestFramework.cpp